Verify email with a code
POST
/auth/v1/email/verifyVerifies a user's email address using a verification id and the code sent to them.
Request Body
requiredapplication/json{
"$ref": "#/components/schemas/internal_auth.verifyEmailBody",
"$ref-value": {
"properties": {
"code": {
"type": "string"
},
"verification_id": {
"type": "string"
}
},
"required": [
"code",
"verification_id"
],
"type": "object"
}
}Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/authv1.VerifyEmailResponse",
"$ref-value": {
"properties": {
"email": {
"type": "string"
},
"message": {
"type": "string"
},
"tokens": {
"$ref": "#/components/schemas/authv1.TokenResponse",
"$ref-value": {
"properties": {
"access_token": {
"type": "string"
},
"expires_in": {
"type": "integer"
},
"refresh_token": {
"type": "string"
},
"requires_action": {
"type": "string"
},
"token_type": {
"type": "string"
}
},
"type": "object"
}
},
"verified": {
"type": "boolean"
}
},
"type": "object"
}
}curl -X POST "https://api.rixl.com/auth/v1/email/verify" \
-H "Content-Type: application/json" \
-d '{
"code": "string",
"verification_id": "string"
}'OK
application/json
{
"$ref": "#/components/schemas/authv1.VerifyEmailResponse",
"$ref-value": {
"properties": {
"email": {
"type": "string"
},
"message": {
"type": "string"
},
"tokens": {
"$ref": "#/components/schemas/authv1.TokenResponse",
"$ref-value": {
"properties": {
"access_token": {
"type": "string"
},
"expires_in": {
"type": "integer"
},
"refresh_token": {
"type": "string"
},
"requires_action": {
"type": "string"
},
"token_type": {
"type": "string"
}
},
"type": "object"
}
},
"verified": {
"type": "boolean"
}
},
"type": "object"
}
}Resend email verification POST
Resends the email verification message to the given email address.
Add an email address POST
Adds an email address to the authenticated account and sends a verification code to it. The address becomes active only once it has been verified via `POST /auth/v1/email/verify`. Subject to rate limiting per account.